package de.intevation.flys.client.client.event;

import de.intevation.flys.client.shared.model.Artifact;


/**
 * This events stores references to the old artifact and the new one.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class ParameterChangeEvent {

    protected Artifact oldArtifact;
    protected Artifact newArtifact;

    public ParameterChangeEvent(Artifact old, Artifact newArt) {
        oldArtifact = old;
        newArtifact = newArt;
    }

    public Artifact getOldValue() {
        return oldArtifact;
    }

    public Artifact getNewValue() {
        return newArtifact;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
